Subject: [Entmib] Entity MIB State Extensions

From: "Sharon Chisholm" <[email-masked]>
Date: Wed, 23 Oct 2002 15:49:16 -0400

hi

This took a little longer than expected, but hopefully Andy still as
time to get out another version of the Entity MIB before the Atlanta
cut-off to give us something to poke sticks at.

N Entity State

N.1 Overview

The goal in adding state objects to the Entity MIB was to define a useful 
subset of the possible state attributes that could be tracked for a given 
entity that both fit into the existing IETF model, as well as leveraged 
existing well deployed models.  The entStateTable contains state objects 
that are a subset of ITU's X.731 state objects. Objects are defined to 
capture administrative, operational and usage states. In addition there 
are further state objects defined to provide additional information for 
these three basic states.

The terms state and status are used interchangeably in this memo.

Administrative state indicates permission to use or
prohibition against using the entity and is imposed through the
management services. The administrative state defined for an entity is 
independent of administrative states in its containment hierarchy. 
This means that administratively locking an entity does not 
automatically lock its children in the containment hierarchy.

Operational state indicates whether or not the entity is 
physically installed and working. The operational state defined 
for an entity is indirectly dependent on the operational state of 
the entities in which it is contained. If its parent entities in 
its containment hierarchy are disabled, and therefore totally inoperable,
then it is unlikely that the given entity will be operable.

Usage state indicates whether or not the entity is in use at a 
specific instance, and if so, whether or not it currently has 
spare capacity.

N.2 State Relationships

The following section outlines all of the combinations of the three
basic states - administrative, operational and usage - and
briefly describes what each of these combination of states means. It also 
compare this combination of states to that of the ifAdminStatus 
and ifOperStatus objects of the Interfaces Group MIB [RFC2863] to 
both provide insight to those familiar with these status objects as 
well as to clarify the relationship between entities and interfaces, 
as indicated by entAliasLogicalIndexOrZero.

N.2.1 Admin State Locked, Operational State Disabled and Usage State Idle

The entity is totally inoperable, it is not servicing any users and it is 
also administratively prohibited from use. To make it available for use, 
both management permission and some corrective 
action are necessary. This is similar to an ifAdminStatus of down 
and ifOperStatus of down.

N.2.2 Admin State Locked, Operational State Enabled and Usage State Idle

The entity is partially or fully operable, it is not servicing any users 
but is administratively prohibited from use. To make it available for use, 
only management permission is required. This is similar to an ifAdminStatus 
of down and ifOperStatus of down.	

N.2.3 Admin State Shutting Down, Operational State Enabled and Usage State
Active

The entity is partially or fully operable and in use, but usage is
administratively 
limited to current instances of use. For an additional user to gain access,
management 
permission is required. Otherwise, when all current users have terminated
their use 
of the resource, the managed object will automatically transit to the
locked, enabled, and idle state.
This is similar to the situation described in [RFC2863] where ifAdminStatus
transitions to down, 
but the ifOperStatus's transition does not occur immediately, but rather
after a small time lag to 
complete certain operations before going "down".	

N.2.4 Admin State Shutting Down, Operational State Enabled and Usage State
Busy

The entity is partially or fully operable and in use, but usage is
administratively 
limited to current instances of use. In addition, it has no spare capacity
to 
provide for additional users. For an additional user to gain access, beside
waiting 
for an existing user to terminate, management permission is also required. 
Otherwise, when all current users have terminated their use of the resource,

the managed object will automatically transit to the locked, enabled, idle
state.
This is similar to the situation described in [RFC2863] where ifAdminStatus
transitions to down, 
but the ifOperStatus's transition does not occur immediately, but rather
after a small time lag to 
complete certain operations before going "down".

N.2.5 Admin State Unlocked, Operational State Enabled and Usage State Idle
	
The entity is partially or fully operable, it is not actually in use and is 
not administratively prohibited from use. This is similar to an
ifAdminStatus of up 
and ifOperStatus of up if the interface is able to pass packets. If the
interface
is found to be operable, but the interface is waiting for other,  external,
events 
to occur before it can transmit or receive  packets, then this is similar to
an ifAdminStatus of up and a ifOperStatus of dormant.

N.2.6 Admin State Unlocked, Operational State Enabled and Usage State Active

The entity is partially or fully operable, it is currently in use and is not

administratively prohibited from use. It has sufficient spare capacity to
provide 
for additional users. This is similar to an ifAdminStatus of up and
ifOperStatus of up.	

N.2.7 Admin State Unlocked, Operational State Enabled and Usage State Busy

The entity is partially or fully operable, it is currently in use and it is
not 
administratively prohibited from use. Currently it has no spare capacity to 
provide for additional users. For an additional user to gain access, it is 
necessary to wait for an existing user to terminate or for some capacity 
increase to occur.  This is similar to an ifAdminStatus of up and
ifOperStatus of up.

N.2.8 Admin State Unlocked, Operational State Disabled and Usage State Idle

The entity is totally inoperable, it is servicing no users but it is not 
administratively prohibited from use. To make it available for use, 
some corrective action is required. This is similar to an ifAdminStatus 
of up and ifOperStatus of down. If the cause of the interface being down
is because of a lower layer being down, then this is similar to
an ifAdminStatus of up and an ifOperStatus of lowerLayerDown.

N.3 Relation to Alarm MIB

The entStateAlarm objects indicates whether or not there are any
active alarms against this entity. If there are active alarms, then
the alarmActiveTable should be searched for alarmActiveResourceId
that match this entPhysicalIndex

M. Definitions 

...

  -- Textual conventions

   ItuAdminState  ::=  TEXTUAL-CONVENTION
     STATUS         current
     DESCRIPTION
             " Represents the various possible administrative states 
               (ITU-T X.731).
               
               A value of locked means the resource is administratively
               prohibited from use. A value of shuttingDown means that
               usage is administratively limited to current instances of
use.
               A value of unlocked means the resource is not
administratively
               prohibited from use."
     SYNTAX         INTEGER
               {
               locked(1),
               shuttingDown(2),
               unlocked(3)
               }

   ItuOperState  ::=  TEXTUAL-CONVENTION
     STATUS         current
     DESCRIPTION
             " Represents the possible values of operational states 
               (ITU-T X.731). 
               
               A value of disabled means the resource is totally inoperable.
               A value of enabled means the resource is partially or fully
               operable."
     SYNTAX         INTEGER
               {
               disabled(1),
               enabled(2)
               }

   ItuUsageState  ::=  TEXTUAL-CONVENTION
     STATUS         current
     DESCRIPTION
             " Represents the possible values of usage states
               (ITU-T X.731).
               
               A value of idle means the resource is servicing no users.
               A value of active means the resource is currently in use
               and it has sufficient spare capacity to provide for 
               additional users. A value of busy means the resource is 
               currently in use, but it currently has no spare capacity to 
               provide for additional users."
     SYNTAX         INTEGER
               {
               idle(1),
               active(2),
               busy(3)
               }

  ItuAlarmStatus  ::=  TEXTUAL-CONVENTION
     STATUS         current
     DESCRIPTION
             " Represents the possible values of alarm status
               (ITU-T X.731).
               
              When no values of this attribute are set, then none of the
status 
              conditions described below are present. When the value of
under repair 
              is set, the resource is currently being repaired. 
              
              When the value of critical is set, one or more critical alarms
are active 
              against the resource. When the value of major is set, one or
more major 
              alarms are active against the resource. When the value of
minor is set, 
              one or more minor alarms are active against the resource.

              When the value of alarm outstanding is set, one or more alarms
is active
              against the resource. The fault may or may not be disabling. "
           SYNTAX         BITS
              {
              under-repair(1),
              critical(2),
              major(3),
              minor(4),
              alarm-outstanding(5), 
              warning (6), -- Not defined in X.731  
              indeterminate (7) -- Not defined in X.731
              }

   ItuStandbyStatus  ::=  TEXTUAL-CONVENTION
     STATUS         current
     DESCRIPTION
             " Represents the possible values of standby status
               (IU-T X.731).
               
               A value of hotStandby means the resource is not providing
service, 
               but is will be immediately able to take over the role of the
resource to 
               be backed-up, without the need for initialization activity,
and will 
               contain the same information as the resource to be backed up.
A value of  
               coldStandy means that the resource is to back-up another
resource, but
               will not be immediately able to take over the role of a
resource to be
               backed up, and will require some initialization activity. A
value of 
               providingService means the resource is providing service.
               "

           SYNTAX         INTEGER
             {
             hotStandby(1),
             coldStandby(2),
             providingService(3)
             }

   -- Entity State      

   entStateTable OBJECT-TYPE
    SYNTAX      SEQUENCE OF EntStateEntry
    MAX-ACCESS  not-accessible
    STATUS      current
    DESCRIPTION
        "A table of information about state/status of entities.
         "
    ::= { entStateMIB 1 }

     entStateEntry OBJECT-TYPE
        SYNTAX      EntStateEntry
        MAX-ACCESS  not-accessible
        STATUS      current
        DESCRIPTION ""
        AUGMENTS       { entPhysicaEntry }
        ::= { entStateTable 1 }

     EntStateEntry ::= SEQUENCE {
         entStateAdmin 	   ItuAdminState,
         entStateOper      ItuOperState,
         entStateUsage     ItuUsageState,
         entStateAlarm	   ItuAlarmStatus,
         entStateStandby   ItuStandbyStatus
        }                      
        
 entStateAdmin OBJECT-TYPE
        SYNTAX      ItuAdminState
        MAX-ACCESS  read-write
        STATUS      current
        DESCRIPTION "The administrative state for this entity."
        ::= { entStateEntry 1 }     
        
  entStateOper OBJECT-TYPE
        SYNTAX      ItuOperState
        MAX-ACCESS  read-only
        STATUS      current
        DESCRIPTION "The operational state for this entity."
        ::= { entStateEntry 2 }  
           
  entStateUsage OBJECT-TYPE
        SYNTAX      ItuUsageState
        MAX-ACCESS  read-only
        STATUS      current
        DESCRIPTION "The usage state for this entity."
        ::= { entStateEntry 3 } 
        
  entStateAlarm OBJECT-TYPE
        SYNTAX      ItuAlarmStatus
        MAX-ACCESS  read-only
        STATUS      current
        DESCRIPTION "The alarm state for this entity. It does not include 
        the severity of alarms raised on child components."
        ::= { entStateEntry 4 }             
                      
 entStateStandby OBJECT-TYPE
   		SYNTAX ItuStandbyStatus
   		MAX-ACCESS read-only
   		STATUS current
   		DESCRIPTION "The standby status for this entity."
   ::= { entStateEntry 5 }         

...

Sharon Chisholm	
Portfolio Integration		
Nortel Networks
Ottawa, Canada
_______________________________________________
Entmib mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/entmib